Debian Bug report logs - #392911
Polytonic Greek keyboard map breaks ctrl-alt-F* vt switch sequence

version graph

Package: xkb-data; Maintainer for xkb-data is Debian X Strike Force <debian-x@lists.debian.org>; Source for xkb-data is src:xkeyboard-config.

Reported by: "H. S. Teoh" <hsteoh@quickfur.ath.cx>

Date: Sat, 14 Oct 2006 06:48:16 UTC

Severity: normal

Merged with 393001

Found in version xkeyboard-config/0.9-1

Fixed in version xkeyboard-config/0.9-2

Done: Denis Barbier <barbier@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#392911; Package xkb-data. Full text and rfc822 format available.

Acknowledgement sent to "H. S. Teoh" <hsteoh@quickfur.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "H. S. Teoh" <hsteoh@quickfur.ath.cx>
To: submit@bugs.debian.org
Subject: Polytonic Greek keyboard map breaks ctrl-alt-F* vt switch sequence
Date: Fri, 13 Oct 2006 23:37:38 -0700
Package: xkb-data
Version: 0.9-1
Severity: normal

Hi, after the latest upgrade, I found that I couldn't switch VT's using
the ctrl-alt-F* sequence anymore. After a bit of digging, I discovered
that it was because I was using the 'gr(polytonic)' layout using XKB.
Removing that mapping from my XKB config fixed the problem. This problem
does not occur with monotonic Greek layout ('gr' without the 'polytonic'
variant).


T

-- 
There's light at the end of the tunnel. It's the oncoming train.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#392911; Package xkb-data. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@linuxfr.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 392911@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@linuxfr.org>
To: "H. S. Teoh" <hsteoh@quickfur.ath.cx>, 392911@bugs.debian.org
Subject: Re: Bug#392911: Polytonic Greek keyboard map breaks ctrl-alt-F* vt switch sequence
Date: Sat, 14 Oct 2006 10:54:32 +0200
On Fri, Oct 13, 2006 at 11:37:38PM -0700, H. S. Teoh wrote:
> Package: xkb-data
> Version: 0.9-1
> Severity: normal
> 
> Hi, after the latest upgrade, I found that I couldn't switch VT's using
> the ctrl-alt-F* sequence anymore. After a bit of digging, I discovered
> that it was because I was using the 'gr(polytonic)' layout using XKB.
> Removing that mapping from my XKB config fixed the problem. This problem
> does not occur with monotonic Greek layout ('gr' without the 'polytonic'
> variant).
> 

Hi,

I cannot reproduce this bug, please send your XKB settings and the
server-0.xkb file generated by running
  $ xkbcomp :0

Denis



Information forwarded to debian-bugs-dist@lists.debian.org, Denis Barbier <barbier@linuxfr.org>, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#392911; Package xkb-data. Full text and rfc822 format available.

Acknowledgement sent to "H. S. Teoh" <hsteoh@quickfur.ath.cx>:
Extra info received and forwarded to list. Copy sent to Denis Barbier <barbier@linuxfr.org>, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 392911@bugs.debian.org (full text, mbox):

From: "H. S. Teoh" <hsteoh@quickfur.ath.cx>
To: 392911@bugs.debian.org
Subject: Re: Bug#392911: Polytonic Greek keyboard map breaks ctrl-alt-F* vt switch sequence
Date: Sat, 14 Oct 2006 07:59:42 -0700
On Sat, Oct 14, 2006 at 10:54:32AM +0200, Denis Barbier wrote:
> On Fri, Oct 13, 2006 at 11:37:38PM -0700, H. S. Teoh wrote:
> > Package: xkb-data
> > Version: 0.9-1
> > Severity: normal
> > 
> > Hi, after the latest upgrade, I found that I couldn't switch VT's
> > using the ctrl-alt-F* sequence anymore. After a bit of digging, I
> > discovered that it was because I was using the 'gr(polytonic)'
> > layout using XKB.  Removing that mapping from my XKB config fixed
> > the problem. This problem does not occur with monotonic Greek layout
> > ('gr' without the 'polytonic' variant).
> > 
> 
> Hi,
> 
> I cannot reproduce this bug, please send your XKB settings and the
> server-0.xkb file generated by running
>   $ xkbcomp :0
[...]

Hmm, `xkbcomp :0` gives no output.

I'm currently using setxkbmap to alternate between different keyboard
layouts. The working configuration is:

	setxkbmap us,ru -variant ,phonetic \
		-option grp:lwin_toggle,grp_led:scroll

(This is done from .Xsession, but can also be used from any X terminal
like xterm or rxvt.)

The non-working configuration is:

	setxkbmap us,ru,gr -variant ,phonetic,polytonic \
		-option grp:lwin_toggle,grp_led:scroll

I've tried it with non-polytonic Greek, and it also works:

	setxkbmap us,ru,gr -variant ,phonetic, \
		-option grp:lwin_toggle,grp_led:scroll

Basically, I use the left 'windows' key to toggle between us, ru, and
gr. The ctrl-alt sequence doesn't work when I specify gr(polytonic) to
setxkbmap, regardless of whether the current layout (selected by lwin)
is actually gr(polytonic) or not. I do get the right characters in
gr(polytonic); the only obvious problem is that the vt-switch sequence
doesn't work (it inserts carets and other symbols instead).

Anyway, I tried to capture the keyboard events using xev, hopefully this
will help you track down the problem. The following is from the
non-working configuration (run xev, type ctrl-alt-F1, which does
nothing, and quit xev):

------------------------------------------------------------------------

KeyPress event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196328814, (1021,765), root:(1022,766),
    state 0x0, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

KeyPress event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196328814, (1021,765), root:(1022,766),
    state 0x4, keycode 64 (keysym 0xffe9, Alt_L), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

KeyPress event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196329991, (1021,765), root:(1022,766),
    state 0xc, keycode 67 (keysym 0xffbe, F1), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

KeyRelease event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196330220, (1021,765), root:(1022,766),
    state 0xc, keycode 67 (keysym 0xffbe, F1), same_screen YES,
    XLookupString gives 0 bytes: 

KeyRelease event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196330351, (1021,765), root:(1022,766),
    state 0xc, keycode 64 (keysym 0xffe9, Alt_L), same_screen YES,
    XLookupString gives 0 bytes: 

KeyRelease event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196330384, (1021,765), root:(1022,766),
    state 0x4, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes: 

KeyPress event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196331253, (1021,765), root:(1022,766),
    state 0x0, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

------------------------------------------------------------------------

The following is from the working configuration (run xev, type
ctrl-alt-F1, which switches to vt01, then alt-F7 to switch back to X,
then exit xev):


------------------------------------------------------------------------

KeyPress event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196543663, (1021,765), root:(1022,766),
    state 0x0, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

KeyPress event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196543663, (1021,765), root:(1022,766),
    state 0x4, keycode 64 (keysym 0xffe9, Alt_L), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

VisibilityNotify event, serial 24, synthetic NO, window 0xc00001,
    state VisibilityFullyObscured

VisibilityNotify event, serial 24, synthetic NO, window 0xc00001,
    state VisibilityUnobscured

Expose event, serial 24, synthetic NO, window 0xc00001,
    (0,0), width 1022, height 10, count 3

Expose event, serial 24, synthetic NO, window 0xc00001,
    (0,10), width 10, height 58, count 2

Expose event, serial 24, synthetic NO, window 0xc00001,
    (68,10), width 954, height 58, count 1

Expose event, serial 24, synthetic NO, window 0xc00001,
    (0,68), width 1022, height 698, count 0

KeyRelease event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196548784, (1021,765), root:(1022,766),
    state 0xc, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes: 

KeyRelease event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196548784, (1021,765), root:(1022,766),
    state 0x8, keycode 64 (keysym 0xffe9, Alt_L), same_screen YES,
    XLookupString gives 0 bytes: 

KeyPress event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196549100, (1021,765), root:(1022,766),
    state 0x0, keycode 37 (keysym 0xffe3, Control_L), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

FocusOut event, serial 24, synthetic NO, window 0xc00001,
    mode NotifyGrab, detail NotifyNonlinear

LeaveNotify event, serial 24, synthetic NO, window 0xc00001,
    root 0x4c, subw 0x0, time 1196549198, (1021,765), root:(1022,766),
    mode NotifyGrab, detail NotifyAncestor, same_screen YES,
    focus YES, state 4

------------------------------------------------------------------------

In the non-working configuration, the F1 is received by xev, but in the
working configuration, the F1 is not received by xev (probably
intercepted by the server and interpreted?).


T

-- 
The best way to destroy a cause is to defend it poorly.



Information forwarded to debian-bugs-dist@lists.debian.org, Denis Barbier <barbier@linuxfr.org>, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#392911; Package xkb-data. Full text and rfc822 format available.

Acknowledgement sent to "H. S. Teoh" <hsteoh@quickfur.ath.cx>:
Extra info received and forwarded to list. Copy sent to Denis Barbier <barbier@linuxfr.org>, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 392911@bugs.debian.org (full text, mbox):

From: "H. S. Teoh" <hsteoh@quickfur.ath.cx>
To: 392911@bugs.debian.org
Subject: Re: Bug#392911: Polytonic Greek keyboard map breaks ctrl-alt-F* vt switch sequence
Date: Sat, 14 Oct 2006 08:12:38 -0700
[Message part 1 (text/plain, inline)]
On Sat, Oct 14, 2006 at 10:54:32AM +0200, Denis Barbier wrote:
[...]
> I cannot reproduce this bug, please send your XKB settings and the
> server-0.xkb file generated by running
>   $ xkbcomp :0
[...]

Oops, sorry, I misunderstood. Attached is the server-0.xkb file
generated by xkbcomp.


T

-- 
The best way to destroy a cause is to defend it poorly.
[server-0.xkb (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#392911; Package xkb-data. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@linuxfr.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 392911@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@linuxfr.org>
To: "H. S. Teoh" <hsteoh@quickfur.ath.cx>, 392911@bugs.debian.org
Subject: Re: Bug#392911: Polytonic Greek keyboard map breaks ctrl-alt-F* vt switch sequence
Date: Sat, 14 Oct 2006 19:20:05 +0200
On Sat, Oct 14, 2006 at 08:12:38AM -0700, H. S. Teoh wrote:
> On Sat, Oct 14, 2006 at 10:54:32AM +0200, Denis Barbier wrote:
> [...]
> > I cannot reproduce this bug, please send your XKB settings and the
> > server-0.xkb file generated by running
> >   $ xkbcomp :0
> [...]
> 
> Oops, sorry, I misunderstood. Attached is the server-0.xkb file
> generated by xkbcomp.

I can now reproduce your bug, thanks.
It looks very weird, a workaround is to add lv3:rwin_switch until
a better solution is found.

Denis



Merged 392911 393001. Request was from Denis Barbier <barbier@linuxfr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Denis Barbier <barbier@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "H. S. Teoh" <hsteoh@quickfur.ath.cx>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 392911-close@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@debian.org>
To: 392911-close@bugs.debian.org
Subject: Bug#392911: fixed in xkeyboard-config 0.9-2
Date: Sat, 14 Oct 2006 11:18:07 -0700
Source: xkeyboard-config
Source-Version: 0.9-2

We believe that the bug you reported is fixed in the latest version of
xkeyboard-config, which is due to be installed in the Debian FTP archive:

xkb-data_0.9-2_all.deb
  to pool/main/x/xkeyboard-config/xkb-data_0.9-2_all.deb
xkeyboard-config_0.9-2.diff.gz
  to pool/main/x/xkeyboard-config/xkeyboard-config_0.9-2.diff.gz
xkeyboard-config_0.9-2.dsc
  to pool/main/x/xkeyboard-config/xkeyboard-config_0.9-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 392911@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Denis Barbier <barbier@debian.org> (supplier of updated xkeyboard-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 14 Oct 2006 19:55:14 +0200
Source: xkeyboard-config
Binary: xkb-data
Architecture: source all
Version: 0.9-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Denis Barbier <barbier@debian.org>
Description: 
 xkb-data   - X Keyboard Extension (XKB) configuration data
Closes: 392911
Changes: 
 xkeyboard-config (0.9-2) unstable; urgency=low
 .
   + debian/patches/po.diff: Update Hungarian PO file.
 .
   + debian/patches/revert_bz8572.diff: New patch to revert changes
     introduced in BZ8572, they cause trouble with Ctrl-Alt-F*
     combinations.  Closes: #392911.
Files: 
 db21bfc35821d6e48d7359d81a2410e9 693 x11 extra xkeyboard-config_0.9-2.dsc
 bbe8ea3d3cc10ac258c1190591874e24 47065 x11 extra xkeyboard-config_0.9-2.diff.gz
 7d7179fc2b499ceb8498b71372e537da 380514 x11 extra xkb-data_0.9-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFMSYn8Ri1lR4WGvsRAk+NAJ9hN1jgrbw6uqSLOJpAm8CV0XdX+wCfXKay
I+ymJ8MhZHNZBM3aFOTNY/4=
=RtVn
-----END PGP SIGNATURE-----




Reply sent to Denis Barbier <barbier@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marcel Sebek <sebek64@post.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:35:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:55:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.